/*
 * Copyright (c) 2019 Yellicode
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
/**
 * The default implementation of the FileRegionMapper interface.
 * Uses the format "/// &lt;${regionName}&gt; ... /// &lt;/${regionName}&gt;".
 */
export class DefaultRegionMarkerFormatter {
    /**
    * Gets a string that uniquely identifies the start of a region.
    * @param regionName The name of the region.
    * @returns A string in the format "/// &lt;${regionName}&gt;".
    */
    getRegionStartMarker(regionName) {
        return `/// <${regionName}>`;
    }
    /**
    * Gets a string that uniquely identifies the end of a region.
    * @param regionName The name of the region.
    * @returns A string in the format "/// &lt;/${regionName}&gt;".
    */
    getRegionEndMarker(regionName) {
        return `/// </${regionName}>`;
    }
}
