/*
 * Copyright (c) 2019 Yellicode
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
import { LogLevel } from '@yellicode/core';
/**
 * Uses the active host process logger for log message.
 */
export class ToHostLogger {
    log(message, level) {
        const processMessage = { log: { level: level, message: message } };
        process.send(processMessage); // https://github.com/Microsoft/TypeScript/issues/10158
    }
    verbose(message) {
        this.log(message, LogLevel.Verbose);
    }
    info(message) {
        this.log(message, LogLevel.Info);
    }
    warn(message) {
        this.log(message, LogLevel.Warning);
    }
    error(message) {
        this.log(message, LogLevel.Error);
    }
}
